package com.quinn.intergration;

import com.quinn.common.QuinnConstant;

/**
 * 使用@multiavatar生成头像
 * https://api.multiavatar.com/
 */
public enum AttrIcon {

    INSTANCE;

    /**
     * 用户名 使用第三方生成工具
     * @param name
     */
    public String generateThirdUrl(String name) {
        String attrUrl = "https://api.multiavatar.com/";
        return attrUrl + name + ".png";
    }

    /**
     * 用户名 为提高效率，使用本地生成工具算法
     * @param name
     */
    public String generateImgUrl(String name) {
        int num = name.hashCode();
        int index = num % 15;
        return QuinnConstant.DEFAULT_ATTR.replace("#",index + "");
    }

    /**
     * 用户名
     * @param name
     */
    public String generateImg(String name) {
        String attrUrl = "https://api.multiavatar.com/";
        String value = ".png";
//        try{
//            byte[] bytes = HttpUtils.doByteGet(attrUrl + name + value);
//            if (bytes.length > 0){
//                return new BASE64Encoder().encode(bytes);
//            }
//        }catch (Exception e){
//            return QuinnConstant.DEFAULT_ATTR_BASE64;
//        }
        return QuinnConstant.DEFAULT_ATTR_BASE64;
    }

}
